cereal::detail::polymorphic_serialization_support< Archive, T > Struct Template Reference

`#include </build/libcereal-B5G4p0/libcereal-1.1.2/include/cereal/details/polymorphic_impl.hpp>`

## Public Types

typedef instantiate_function< instantiate > | unused
| This typedef causes the compiler to instantiate this static function.

## Static Public Member Functions

static CEREAL_DLL_EXPORT void | instantiate () CEREAL_USED

## Detailed Description

### template<class Archive, class T>
struct cereal::detail::polymorphic_serialization_support< Archive, T >

This struct is used as the return type of instantiate_polymorphic_binding for specific Archive types. When the compiler looks for overloads of instantiate_polymorphic_binding, it will be forced to instantiate this struct during overload resolution, even though it will not be part of a valid overload

## Member Function Documentation

template<class Archive , class T >

CEREAL_DLL_EXPORT void cereal::detail::polymorphic_serialization_support< Archive, T >::instantiate | ( |  | ) |

static

Creates the appropriate bindings depending on whether the archive supports saving or loading

The documentation for this struct was generated from the following files:

- /build/libcereal-B5G4p0/libcereal-1.1.2/include/cereal/details/helpers.hpp
- /build/libcereal-B5G4p0/libcereal-1.1.2/include/cereal/details/polymorphic_impl.hpp